# Seldon Server

[![Join the chat at https://gitter.im/SeldonIO/seldon-server](https://badges.gitter.im/Join%20Chat.svg)](https://gitter.im/SeldonIO/seldon-server?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge&utm_content=badge)

Welcome to the early release of Seldon Server, which provides a real-time REST API interface to a highly-scalable recommendation engine and predictive analytics platform. We are presently modifying this heavily and documenting here: http://docs.seldon.io

## Getting Started
The best place to get started with Seldon is to use our packaged [Vagrant VM](http://docs.seldon.io/vm.html) or the [AWS AMI](http://docs.seldon.io/vm-aws.html).

## Deploying
Steps involved in setting up Seldon from source to serve recommendations:

* [Start with an understanding of Seldon concepts](http://docs.seldon.io/concepts.html)
* [Setup the Database](http://docs.seldon.io/db-build-and-deploy.html)
* [Configure your data attributes](http://docs.seldon.io/deploying-your-data.html)
* [Setup Seldon Server](http://docs.seldon.io/seldon-server-build-and-deploy.html)
* Provide activity data, either [static](http://docs.seldon.io/static-activity-data.html) or [realtime](http://docs.seldon.io/realtime-activity-data.html) 
* [Generate the offline models](http://docs.seldon.io/offline-models.html)
* [Algorithm configuration](http://docs.seldon.io/config-build-and-deploy.html)
* Start recommending using the [Seldon API](http://docs.seldon.io/api.html)

## Keep in touch
* To be the first to receive product updates and early private releases, please [sign up for our open-source beta list](http://www.seldon.io/open-source/).
* Join the [seldon-users group](https://groups.google.com/forum/#!forum/seldon-users) - we encourage you to leave feedback and ask questions in this group so that we can share the answers with the community.
* Star and watch this Github repo and [other open-source projects](https://github.com/SeldonIO/). Watching [our docs repo](https://github.com/SeldonIO/seldonio.github.com) (powered by Github Pages) will be particularly useful as we're currently rolling out documentation - [http://docs.seldon.io](http://docs.seldon.io)
* Visit our website at http://seldon.io

## License
Seldon is available under [Apache Licence, Version 2.0](https://github.com/SeldonIO/seldon-server/blob/master/README.md)
